Rodin Platform 2.6.0 External Plug-ins

From Event-B
Jump to: navigation, search


Rodin Update Site

Plug-in name Version Status MCV* Release Date Contact Additional info
Umlb32.gif UML-B 2.2.0 not checked 9th Feb. 2011 email
UML-B Statemachine Animation 1.1.0 not checked 15th Feb. 2011 email Compatible with UML-B 2.2 and ProB 2.1.
Event-B EMF framework 3.5.3 not checked 17th Oct. 2011 Users should not need to install this framework. It will be installed automatically by other plug-ins as required.
Event-B EMF support for extensions 1.0.3 not checked 17th Oct. 2011 Users should not need to install this framework. It will be installed automatically by other plug-ins as required.
Isabelle for Rodin not checked 2.x.x
Rose.gif Rose 1.3.0 not checked 25th Aug. 2011 email
Records 1.0.1 not checked email This release includes EMF and Refactory support for records.
Teamwork not checked
Shared Event Composition 1.6.0 available 2.6.x 16th August 2012 email Compatible with Rodin 2.6. Bug fix related with dependencies of machines that are in different projects
Refactory 1.2.2 available 2.6.x 16th August 2012 email Version compatible with Rodin 2.6.
DecompositionPlug-in logo.png Decomposition 1.2.4 available 2.6.x 16th August 2012 email Compatible with Rodin 2.6 . Bug fix for the decomposition wizard when dealing with a large number of events/variables (were not properly displayed).
Project diagram icon s.png Project Diagram 1.0.0 not checked email
Relevance Filter 1.1.1 not checked 2.x.x
Theory Plug-in v1.0 not checked 2.2 8th July 2011 email Compatible with Rodin 2.2 only.
Code Generation Feature 0.2.2 not checked 22nd Mar. 2012 email
SMT Solvers 0.8.0 not checked 2.4 17th Feb. 2012 Yoann Guyot or Laurent Voisin
Qualitative Probability 0.2.1 not checked 2.3.x 23rd November 2011 email
Generic Instantiation 0.2.2 not checked 2.3.x 11th May 2012 email
B2Latex export 0.5.3 available 2.5.x 16th April 2012 email

B Method Update Site

Plug-in name Version Status MCV* Release Date Contact Additional info
AtelierB.png Atelier-B provers 2.0.1 available 2.4.x 5th Oct. 2011 email Read the instructions concerning 64-bit compatibility : here

Other Update Sites

Plug-in name Version Status MCV* Release Date Contact Additional info
AnimB.png AnimB not checked Christophe Métayer Use the update site http://www.animb.org/updatesite
Camille 2.1.5 available 2.5.x 27th July 2011 Michael Jastram Use the Camille update site. http://www.stups.uni-duesseldorf.de/camille_updates
Make sure to install the Event-B EMF Framework version 3.7.0 or greater.
Mlogo big.png Modularisation not checked 2.x.x email Use the update site http://www.iliasov.org/modplugin
Group refinement not checked 2.x.x email Use the update site http://iliasov.org/refplugin
Flows/Use case extension not checked 2.x.x email Use the update site http://iliasov.org/usecase
Prob eventb wiki logo.png ProB 2.3.2 available 2.6.x 6th Aug. 2012 Jens Bendisposto Use the ProB update site. http://www.stups.uni-duesseldorf.de/prob_updates
The Plug-in includes BMotion Studio
ProR logo.png ProR 0.3.2 available 2.6.x 08/01/2012 Michael Jastram Update site: http://update.formalmind.com/rodin
Project web site: http://eclipse.org/rmf
MBT for Event-B Logo Medium.png MBT plugin 2.0 not checked 2.5.x 5th of March 2012 Alin Stefanescu Use the update site http://fmi.upit.ro/mbt_plugin
Mode/FT Views 1.0.2 not checked 2.4.x 4th July 2011 Ilya Lopatkin Update site: http://rodinmodeftview.sourceforge.net/
Transformation patterns 1.0 not checked 2.x.x 4th July 2011 Ilya Lopatkin Update site: http://rodinmodeftview.sourceforge.net/
EHDL Ver2.png
VHDL code generator 2.0.2 not checked 2.x.x 12th March 2012 Sergey Ostroumov Update site: http://www.eventb-to-vhdl.tk/

*MCV stands for the Rodin's Maximum Compatible Version

Known plug-in incompatibilities

It unfortunately might exists some incompatibilities between plug-ins. This list might be non exhaustive and is updated accorded to user experiences. If you encounter some conflict while installing or using plug-ins, please send a mail to the Rodin User List or feel free to complete the following table.

Plug-in name Incompatible with